> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create MCP Server

> Create a new MCP server configuration.



## OpenAPI

````yaml post /api/mcps
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/mcps:
    post:
      tags:
        - MCP servers
      summary: Create MCP Server
      description: Create a new MCP server configuration.
      operationId: create_mcp_server_api_mcps_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/McpServerConfig'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpServerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    McpServerConfig:
      properties:
        name:
          type: string
          title: Name
          description: Human-readable name for this MCP server.
        command:
          type: string
          title: Command
          description: Executable command, such as `npx` or `node`.
        args:
          items:
            type: string
          type: array
          title: Args
          description: Command arguments.
        env:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Env
          description: Environment variables.
        enabled:
          type: boolean
          title: Enabled
          description: Whether this MCP server is active.
          default: true
      type: object
      required:
        - name
        - command
      title: McpServerConfig
      description: Pydantic model for MCP server CRUD operations.
    McpServerResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        command:
          type: string
          title: Command
        args:
          items:
            type: string
          type: array
          title: Args
        env:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Env
        enabled:
          type: boolean
          title: Enabled
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - name
        - command
        - args
        - enabled
        - created_at
        - updated_at
      title: McpServerResponse
      description: Response model for MCP server configs returned from the API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````